package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-01
 */
public class MusicSheetWebsiteDetailVo extends MusicSheetDetailVo {

    @ApiModelProperty("收藏数")
    private Long favoriteNum;

    @ApiModelProperty("是否已收藏  0：否 1：是")
    private YesOrNoEnum favorite = YesOrNoEnum.NO;

    @ApiModelProperty("老师信息")
    private TeacherMusicSheetListVo teacher;

    public YesOrNoEnum getFavorite() {
        return favorite;
    }

    public void setFavorite(YesOrNoEnum favorite) {
        this.favorite = favorite;
    }

    public Long getFavoriteNum() {
        return favoriteNum;
    }

    public void setFavoriteNum(Long favoriteNum) {
        this.favoriteNum = favoriteNum;
    }

    public TeacherMusicSheetListVo getTeacher() {
        return teacher;
    }

    public void setTeacher(TeacherMusicSheetListVo teacher) {
        this.teacher = teacher;
    }
}

